/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : make_minap.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.11
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

#include <stdio.h>
#include <sqlca.h>
#include <oraca.h>

#include "path_def.h"
#include "def_set.h"
#include "file_no.h"
#include "bef_mst.h"
#include "bef_chg.h"

/*
 *========================================================================
 *
 *   함 수 명 : make_minap
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2014.05.14
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

int make_bef_change(char *path, char *sdate, char *edate)
{
    FILE *fp;
    char s_buf[1024];
    char f_nm[128];
    char file_nm[64];
    char save_dir[128];
	char b_date[14+1];
    char n_date[14+1];
    char rec[2400];
	int  nResult;
    int  isfd, isfd1;
    int  start_no, end_no, req_no;
    struct    write_info     wf;
    struct    bef_mst_tbl     adv_pay_mst;
    struct    bef_chg_tbl     adv_pay_chg;

	memset(s_buf, 0x00, sizeof(s_buf));
	memset(b_date, 0x00, sizeof(b_date));
	memset(n_date, 0x00, sizeof(n_date));
	memset(rec, 0x00, sizeof(rec));

printf("ADV Start ## [%.14s]\n", sdate);
printf("ADV SEnd ## [%.14s]\n", edate);

    memcpy(b_date, sdate, 14);
    memcpy(n_date, edate, 14);

    isfd = lb_freadx(&wf, FNO_BEFMST, &adv_pay_mst, FLAST);
    isfd1 = lb_freadx(&wf, FNO_BEFCNG, &adv_pay_chg, FLAST);
    
    if(lb_data2atoi(adv_pay_mst.snd_no, 10) >= lb_data2atoi(adv_pay_chg.snd_no, 10))
    {
        start_no = lb_data2atoi(adv_pay_mst.snd_no, 10);
        end_no = start_no+1000;
        req_no = lb_data2atoi(adv_pay_mst.snd_no, 10)+1;
    }else
    {
        start_no = lb_data2atoi(adv_pay_chg.snd_no, 10);
        end_no = start_no+1000;
        req_no = lb_data2atoi(adv_pay_chg.snd_no, 10)+1;
    }

	sprintf(s_buf, "%.14s%.14s%010d%010d%010d", b_date, n_date, start_no, end_no, req_no);
    printf("Send Data #### [%s]\n", s_buf);
	nResult = MessageSender(FNO_BEFCNG, s_buf, path, rec);
	
	printf("Before Reg Change[%s]\n", rec);
    return 0;
}
